'''Created Jan 11, 2022 Levi'''
import pywinctl as gw
from pywinauto import Application

# windows = Desktop(backend="uia").windows()
# for window in windows:
#     print(f"Window Title: {window.window_text()}, Process ID: {window.process_id()}")
# print([w.window_text() for w in windows])

def automate_write():
    win_ = gw.getWindowsWithTitle('Write: ', condition=gw.Re.CONTAINS)[0]
    if not win_.isActive:
        win_.activate()
    app = Application(backend='uia').connect(found_index=0, title_re='Write:')  # process=14484
    main_window = app.window(found_index=0)
    # main_window.print_control_identifiers()
    print(f'Window Title: {main_window.window_text()}')
    # main_window.set_focus()
    # main_window.print_control_identifiers()
    if 'Write' in main_window.window_text():
        combo_box_from = main_window.child_window(control_type='ComboBox', found_index=0, title='From', auto_id='msgIdentity')
        combo_box_from.set_focus()
        # combo_box_from.select(2)
        combo_box_from.type_keys('{DOWN}')

        edit_subject = main_window.child_window(control_type="Edit", found_index=0, title='Subject')
        edit_subject.set_focus()  # Set focus on the edit field
        # Select all text
        edit_subject.type_keys('^a'
                               'Documente{SPACE}scadente')  # Enter new text

        edit_body = main_window.child_window(control_type='Document', found_index=0, title='Message body')
        edit_body.set_focus()

        edit_body.type_keys('{DOWN}'
                            '{VK_SHIFT down}'
                            '{DOWN}'
                            '{DOWN}'
                            '{DOWN}'
                            '{DOWN}'
                            '{VK_SHIFT up}')

        edit_body.type_keys('regăsiți{SPACE}lista{SPACE}facturilor{SPACE}nesoldate{SPACE}emise{SPACE}de{SPACE}Mozaik{SPACE}Consulting{SPACE}pentru{SPACE}compania{SPACE}dumneavoastră.'
                            # '{VK_SHIFT down}'
                            '{ENTER}'
                            # '{VK_SHIFT up}'
                            'Vă{SPACE}rugăm{SPACE}să{SPACE}le{SPACE}verificați{SPACE}si{SPACE}să{SPACE}le{SPACE}comparați{SPACE}cu{SPACE}evidențele{SPACE}Dvs.'
                            # '{VK_SHIFT down}'
                            '{ENTER}'
                            # '{VK_SHIFT up}'
                            'În{SPACE}cazul{SPACE}în{SPACE}care{SPACE}există{SPACE}diferențe{SPACE}vă{SPACE}rugăm{SPACE}să{SPACE}ne{SPACE}anunțați{SPACE}ca{SPACE}să{SPACE}putem{SPACE}remedia{SPACE}eventualele{SPACE}neconcordanțe.'
                            '{ENTER}'
                            'Vă{SPACE}mulțumim{SPACE}anticipat!'
                            '^{VK_TAB}'
                            '{VK_DELETE}')


if __name__ == '__main__':
    automate_write()
