'''
Created on Jan 28, 2020

@author: levente.marton
'''
import pyautogui as gui
import pywinctl as gw
from datetime import date, timedelta  # datetime as dt

def last_day_of_month(any_day=date.today):
    next_month = any_day().replace(day=28) + timedelta(days=4)
    return next_month - timedelta(days=next_month.day)

def _printer(func):
    def wrapper():
        print(func.__doc__, 'h_key performed')
        return func()
    return wrapper

def mv_mouse_right():
    size = gui.size()
    gui.moveTo(size[0] / 1.01, size[1] / 1.01)

def mv_mouse_cent():
    size = gui.size()
    gui.moveTo(size[0] / 2, size[1] / 2)


if __name__ == '__main__':
    print(gw.getAllTitles())
