import win32com.client as win32
import time
import win32gui as wingui
from pywinauto.findwindows import find_window, find_windows
from pywinauto.win32functions import SetForegroundWindow
import pyautogui as gui


def windowEnumerationHandler(hwnd, top_windows):
    top_windows.append((hwnd, wingui.GetWindowText(hwnd)))

# print(find_window(title_re=r'excel'))

if __name__ == "__main__":
    xl = win32.gencache.EnsureDispatch('Excel.Application')
    xl.Visible = True
    # win32.Dispatch('WScript.Shell').AppActivate('Excel')
    start = time.time()
    for wb in xl.Workbooks:
        print('Saving', wb.Name)
        SetForegroundWindow(find_window(title_re=r'%s' % wb.Name))
        wb.Save()

    end = str(time.time() - start)[:5]
    print('All saved in: ' + end)
    time.sleep(1)
    print('bye')
    time.sleep(1)
